## START: Set by rpmautospec
## (rpmautospec version 0.6.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 26
%bcond_without check

%global crate eza
%global crates_source https://crates.io/api/v1/crates/%{crate}/%{version}/download#/%{crate}-%{version}.crate

Name:           rust-eza
Version:        0.19.3
Release:        %autorelease
Summary:        Modern replacement for ls

License:        MIT
URL:            https://crates.io/crates/eza
Source0:        %{crates_source}
Source1:        eza-0.19.3-vendor.tar.xz
Source2:        LICENSE.dependencies
# Automatically generated patch to strip dependencies and normalize metadata
Patch0:         eza-fix-metadata-auto.diff
# Manually created patch for downstream crate metadata changes
# * drop strip setting from release profile to preserve debuginfo
# * drop unused, benchmark-only criterion dev-dependency
Patch1:         eza-fix-metadata.diff

BuildRequires:  rust-toolset

%global _description %{expand:
A modern replacement for ls.}

%description %{_description}

%package     -n %{crate}
Summary:        %{summary}
# Apache-2.0 OR BSL-1.0
# Apache-2.0 OR MIT
# Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT
# MIT
# MIT OR Apache-2.0
# MIT OR Apache-2.0 OR CC0-1.0
# MIT OR Apache-2.0 OR Zlib
# MPL-2.0
# Unlicense OR MIT
# Zlib OR Apache-2.0 OR MIT

# vendored libgit2-sys crate bundles libgit2:
# GPL-2.0-only WITH GCC-exception-2.0 AND MIT AND BSD-3-Clause
Provides:       bundled(libgit2) = 1.8.1

License:        MIT AND BSD-3-Clause AND GPL-2.0-only WITH GCC-exception-2.0 AND MPL-2.0 AND (Apache-2.0 OR BSL-1.0) AND (Apache-2.0 OR MIT) AND (Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT) AND (MIT OR Apache-2.0 OR Zlib) AND (Unlicense OR MIT)
# LICENSE.dependencies contains a full license breakdown

%description -n %{crate} %{_description}

%files       -n %{crate}
%license LICENCE
%license LICENSE.dependencies
%doc CHANGELOG.md
%doc CODE_OF_CONDUCT.md
%doc CONTRIBUTING.md
%doc INSTALL.md
%doc README.md
%doc SECURITY.md
%{_bindir}/eza
%{_bindir}/exa
%{bash_completions_dir}/eza
%{fish_completions_dir}/eza.fish
%{zsh_completions_dir}/_eza

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep -V 1
cp -pav %{SOURCE2} .

%build
%cargo_build

%install
%cargo_install
# create compatibility symlink for exa
ln -s eza %{buildroot}/%{_bindir}/exa
# install shell completions
install -Dpm 0644 completions/bash/eza -t %{buildroot}/%{bash_completions_dir}/
install -Dpm 0644 completions/fish/eza.fish -t %{buildroot}/%{fish_completions_dir}/
install -Dpm 0644 completions/zsh/_eza -t %{buildroot}/%{zsh_completions_dir}/

%if %{with check}
%check
%cargo_test
%endif

%changelog
## START: Generated by rpmautospec
* Thu Oct 31 2024 Fabio Valentini <decathorpe@gmail.com> - 0.19.3-1
- Update to version 0.19.3

* Wed Sep 04 2024 Fabio Valentini <decathorpe@gmail.com> - 0.18.11-1
- Initial import for EPEL 8
## END: Generated by rpmautospec
